package com.tzld.piaoquan.api.dao.mapper.wecom.thirdpart;

import com.tzld.piaoquan.api.model.po.wecom.thirdpart.ThirdPartWeComCorp;
import com.tzld.piaoquan.api.model.po.wecom.thirdpart.ThirdPartWeComCorpExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ThirdPartWeComCorpMapper {
    long countByExample(ThirdPartWeComCorpExample example);

    int deleteByExample(ThirdPartWeComCorpExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ThirdPartWeComCorp record);

    int insertSelective(ThirdPartWeComCorp record);

    List<ThirdPartWeComCorp> selectByExample(ThirdPartWeComCorpExample example);

    ThirdPartWeComCorp selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ThirdPartWeComCorp record, @Param("example") ThirdPartWeComCorpExample example);

    int updateByExample(@Param("record") ThirdPartWeComCorp record, @Param("example") ThirdPartWeComCorpExample example);

    int updateByPrimaryKeySelective(ThirdPartWeComCorp record);

    int updateByPrimaryKey(ThirdPartWeComCorp record);
}